import Image from 'next/image'
import React from 'react'

import banner from '../../public/images/banner.png'

export function Banner() {
  return (
    <div className="w-full h-[400px] relative bg-green-900">
      <div className="absolute right-0">
        <div className="absolute h-[400px] w-full md:w-[400px] bg-gradient-to-r from-green-900 md:from-10% z-20" />
        <h1 className="absolute z-20 font-bold text-2xl bottom-24 left-7 max-w-44 text-primary">
          Transforme sua vida através do conhecimento
        </h1>
        <Image
          src={banner}
          alt="Banner"
          className="h-[400px] object-cover"
          unoptimized
        />
        <div className="absolute right-0 top-0 h-[400px] w-[200px] md:w-[600px] bg-gradient-to-l from-green-900 md:from-30% z-20" />
      </div>
    </div>
  )
}
